Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin.components
Class XSLTViewer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.dbxml.db.admin.components.XSLTViewer

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, TabbedNodeEditor

public class XSLTViewer
extends javax.swing.JPanel
implements TabbedNodeEditor

XSLTViewer

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`XSLTViewer()`

Method Summary
`void` | `activate(boolean readOnly)`
`void` | `beautify()`
`void` | `btnXSLTBrowse_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `cmbContent_itemStateChanged(java.awt.event.ItemEvent e)`
`void` | `copy()`
`void` | `cut()`
`boolean` | `deactivate()`
`void` | `find()`
`void` | `findNext()`
`DocWrapper` | `getDocWrapper()`
`void` | `htmlXSLT_hyperlinkUpdate(javax.swing.event.HyperlinkEvent e)`
`boolean` | `isBeautifyEnabled()`
`boolean` | `isCopyEnabled()`
`boolean` | `isCutEnabled()`
`boolean` | `isModified()`
`boolean` | `isPasteEnabled()`
`boolean` | `isUndoEnabled()`
`void` | `paste()`
`void` | `requestFocus()`
`void` | `reset()`
`void` | `setDocWrapper(DocWrapper doc)`
`void` | `setSelectedIndex(int index)`
`void` | `setStylesheet(java.lang.String name, DocWrapper styleSheet)`
`void` | `setXSLTText(java.lang.String xml)`
`java.lang.String` | `transform(org.w3c.dom.Node node)`
`void` | `undo()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLTViewer

    public XSLTViewer()

Method Detail

### requestFocus

    public void requestFocus()

### setStylesheet

    public void setStylesheet(java.lang.String name,
                              DocWrapper styleSheet)

### setSelectedIndex

    public void setSelectedIndex(int index)

### setXSLTText

    public void setXSLTText(java.lang.String xml)

### transform

    public java.lang.String transform(org.w3c.dom.Node node)

### isModified

    public boolean isModified()

  Specified by:
    `isModified` in interface `TabbedNodeEditor`

### reset

    public void reset()

  Specified by:
    `reset` in interface `TabbedNodeEditor`

### setDocWrapper

    public void setDocWrapper(DocWrapper doc)

  Specified by:
    `setDocWrapper` in interface `TabbedNodeEditor`

### getDocWrapper

    public DocWrapper getDocWrapper()

  Specified by:
    `getDocWrapper` in interface `TabbedNodeEditor`

### activate

    public void activate(boolean readOnly)

  Specified by:
    `activate` in interface `TabbedNodeEditor`

### isCutEnabled

    public boolean isCutEnabled()

  Specified by:
    `isCutEnabled` in interface `TabbedNodeEditor`

### cut

    public void cut()

  Specified by:
    `cut` in interface `TabbedNodeEditor`

### isCopyEnabled

    public boolean isCopyEnabled()

  Specified by:
    `isCopyEnabled` in interface `TabbedNodeEditor`

### copy

    public void copy()

  Specified by:
    `copy` in interface `TabbedNodeEditor`

### isPasteEnabled

    public boolean isPasteEnabled()

  Specified by:
    `isPasteEnabled` in interface `TabbedNodeEditor`

### paste

    public void paste()

  Specified by:
    `paste` in interface `TabbedNodeEditor`

### isUndoEnabled

    public boolean isUndoEnabled()

  Specified by:
    `isUndoEnabled` in interface `TabbedNodeEditor`

### undo

    public void undo()

  Specified by:
    `undo` in interface `TabbedNodeEditor`

### find

    public void find()

  Specified by:
    `find` in interface `TabbedNodeEditor`

### findNext

    public void findNext()

  Specified by:
    `findNext` in interface `TabbedNodeEditor`

### isBeautifyEnabled

    public boolean isBeautifyEnabled()

  Specified by:
    `isBeautifyEnabled` in interface `TabbedNodeEditor`

### beautify

    public void beautify()

  Specified by:
    `beautify` in interface `TabbedNodeEditor`

### deactivate

    public boolean deactivate()

  Specified by:
    `deactivate` in interface `TabbedNodeEditor`

### cmbContent_itemStateChanged

    public void cmbContent_itemStateChanged(java.awt.event.ItemEvent e)

### btnXSLTBrowse_actionPerformed

    public void btnXSLTBrowse_actionPerformed(java.awt.event.ActionEvent e)

### htmlXSLT_hyperlinkUpdate

    public void htmlXSLT_hyperlinkUpdate(javax.swing.event.HyperlinkEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group